Abrir sesión
logo

DEFENSA FRENTE A LAS CIBERAMENAZAS

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Boletines de Vulnerabilidades


Aumento de privilegios "involuntario" en WebLogic Server y WebLogic Express

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Aumento de privilegios
Dificultad Principiante
Requerimientos del atacante Acceso remoto con cuenta

Información sobre el sistema

Propiedad Valor
Fabricante afectado Comercial Software
Software afectado WebLogic Server 8.1 (<=ServicePack 2)
WebLogic Express 8.1 (<=ServicePack 2)
WebLogic Server 7.0 (<=ServicePack 4)
WebLogic Express 7.0 (<=Service Pack 4)

Descripción

Se ha descubierto una vulnerabilidad en la versión 8.1 y 7.0 de WebLogic Server y WebLogic Express. Esta vulnerabilidad afecta a sitios que están usando como proveedor de autenticación WebLogic por defecto si ocurriese la siguiente secuencia de eventos:

1. El administrador del sistema crea un grupo (por ejemplo, Grupo 1).

2. El administrador del sistema crea después un segundo grupo (por ejemplo, grupo2).

3. El administrador del sistema hace a Grupo1 miembro de Grupo2

4. El administrador del sistema elimina Grupo2 y más tarde lo vuelve a crear.

Aunque Grupo 2 es un nuevo grupo, contiene el Grupo1 como miembro. Si Grupo1 tiene privilegios administrativos, Grupo 2 tendrá también privilegios administrativos aunque nunca se le hayan dado la segunda vez que se crea (El grupo 2).

Solución

Los usuarios de WebLogic Server y WebLogic Express version 7.0 deben instalar el Service Pack 5.


Actualización de software

WebLogic y WebLogic Express
WebLogic Server y WebLogic Express version 8.1 SP2
ftp://ftpna.beasys.com/pub/releases/security/wlSecurityProviders81v2.jar

Identificadores estándar

Propiedad Valor
CVE NULL
BID NULL

Recursos adicionales

BEA Systems Inc. Security Advisory BEA04-52.00
http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA04_52.00.jsp

Histórico de versiones

Versión Comentario Fecha
1.0 Aviso emitido 2004-04-14
1.1 Parche publicado por BEA actualizado 2004-04-21
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración